* Calculating nino3 index out of a QTCM run
*   author: D. Neelin 97
*   Modification: N. Zeng 5/98

"!echo 'assuming time interval 1 to 195;"
"!echo 'calculating nino3 box average'"
"set t 1 195"
"define nino3=aave(ts,lon=210,lon=270,lat=-5,lat=5)  -273.15"
"!echo 'calculating nino3 climatology'"
"set t 1 12"
"define nino3c=ave(nino3,t+0,t=195,1yr)"
"modify nino3c seasonal"
"!echo 'calculating nino3 anoms'"
"set t 1 195"
"define nino3a=nino3-nino3c"

"!echo 'calculating regressions on nino3 anoms: precreg, tsreg'"
"set t 1"
"define nino3rms=sqrt(ave(pow(nino3a,2),t=1,t=195))"
"!echo 'nino3rms = '"
"d nino3rms"
"define precreg=ave(nino3a*preca,t=1,t=195)/nino3rms"
"define tsreg=ave(nino3a*tsa,t=1,t=195)/nino3rms"

"!echo 'calculating monthly seasonal regrns on nino3 anoms: precregm, tsregm'"
"set t 1 12"
"define nino3rmsm=sqrt(ave(pow(nino3a,2),t+0,t=195,1yr))"
"modify nino3rmsm seasonal"
"define precregm=ave(nino3a*preca,t+0,t=195,1yr)/nino3rmsm"

"set t 1"
"!echo 'assume sfc wind anoms have been defined: usreg, vsreg'"
"define usreg=ave(nino3a*usa,t=1,t=195)/nino3rms"
"define vsreg=ave(nino3a*vsa,t=1,t=195)/nino3rms"

"!echo 'calculating correlations on nino3 anoms: preccor, tscor'"
"define precrms=sqrt(ave(pow(preca,2),t=1,t=195))"
"define preccor=ave(nino3a*preca,t=1,t=195)/(precrms*nino3rms)"

"define   tsrms=sqrt(ave(pow(tsa,2),t=1,t=195))"
"define   tscor=ave(nino3a*tsa,t=1,t=195)/(tsrms*nino3rms)"
"define   usrms=sqrt(ave(pow(usa,2),t=1,t=195))"
"define   uscor=ave(nino3a*usa,t=1,t=195)/(usrms*nino3rms)"
"define   vsrms=sqrt(ave(pow(vsa,2),t=1,t=195))"
"define   vscor=ave(nino3a*vsa,t=1,t=195)/(vsrms*nino3rms)"

