c read QTCM output and calculate annual and monthly mean climatologies 
c assume monthly data inputs    	 H. Su
c
c   ntmax: max # of time steps (months)
c   num:   # of variables in the input data file
c   nvar:  # of variable desired for averaging
      include '../src/hgrid.h'
      integer nvar,ntime,num
      parameter(nvar=1,ntmax=1200,num=31)      
      real vardummy(NX,NY,ntmax,nvar),var_orig(NX,NY,num)
      character*(3) varname(nvar),var0(num)
      integer var_index(nvar),m,n,it,i,j      
c******************************************************************
      var0(1)='u1c'
      var0(2)='v1c'
      var0(2)='T1c'
      var0(3)='q1c'
      var0(4)='u0c'
      var0(5)='v0c'
      var0(6)='vor'
      var0(7)='psi'
      var0(8)='tsc'
      var0(9)='prc'
      var0(10)='cl3'
      var0(10)='s0c'
      var0(11)='sds'
      var0(12)='sus'
      var0(13)='sut'
      var0(14)='lds'
      var0(15)='lus'
      var0(16)='lut'
      var0(17)='fts'
      var0(18)='evp'
      var0(19)='rnf'
      var0(20)='wdc'
      var0(21)='stp'
      var0(22)='tax'
      var0(23)='tay'
      var0(24)='adt'
      var0(25)='adq'
      var0(26)='ar1'
      var0(27)='ar2'
      var0(28)='ar3'
      var0(29)='ar4'
      var0(30)='v1c'
      var0(31)='v1c'
c----read in variable names from screen 
c      print *, 'total # of variables', nvar
c      print *, 'Enter variable name(s), separated by space' 
      read(5,*) varname
     
      do m=1,nvar 
        do n=1,num
          if (varname(m).eq.var0(n)) then
            var_index(m)=n
            goto 10
          endif 
        enddo
10    enddo
c-----
      open(10,file='../proc/out',form='unformatted',status='old')
      ntime=0
      do it=1,ntmax
        do n=1,num
          read(10,end=40) ((var_orig(i,j,n),i=1,NX),j=1,NY)
        enddo   
        do m=1,nvar
        do j=1,NY
        do i=1,NX
          vardummy(i,j,it,m)=var_orig(i,j,var_index(m))
        enddo
        enddo
        enddo 
        ntime=ntime+1
      enddo
40    continue
      close(10)

      do m=1,nvar
        call average(vardummy(1,1,1,m),varname(m),ntime)
      enddo
      stop
      end


      subroutine average(f,var,ntime)
c-----calculate annual mean and monthly mean
      include '../src/hgrid.h'
      dimension f(nx,ny,ntime),fam(nx,ny),fmm(nx,ny,12)
      character var*3,fsmonth*20
      integer lnblnk
      open(21,file=var(1:lnblnk(var))//'am.dat',
     &     form='unformatted',status='unknown')
      open(22,file=var(1:lnblnk(var))//'mm.dat',
     &     form='unformatted',status='unknown')
      open(31,file='00000000.'//var(1:lnblnk(var)),
     &     form='formatted',status='unknown')
c initialize fmm and fam
      do j=1,NY
      do i=1,NX
         fam(i,j)=0.
         do im=1,12
            fmm(i,j,im)=0.
         enddo
      enddo
      enddo
c-----
      iyear=int(ntime/12) 
      print *, 'climatology for ', var
      print *, 'averaged over ', iyear, ' years'

      month_start=1            !assume model output starts from January
      do 200 j=1,NY
      do 200 i=1,NX
      do im=1,12
         do iy=1,iyear          
             fmm(i,j,im)=fmm(i,j,im)+f(i,j,12*(iy-1)+im)
             fam(i,j)=fam(i,j)+f(i,j,12*(iy-1)+im)
         enddo 
      enddo
200   continue

c-----output for grads display

      write(21) ((fam(i,j)/float((iyear)*12),i=1,NX),j=1,NY)
      do im=1,12
      write(22) ((fmm(i,j,im)/float(iyear),i=1,NX),j=1,NY)
      enddo

c-----output for model inputs

      do j=1,NY
      do i=1,NX
         write(31,*) fam(i,j)/float((iyear)*12)
      enddo
      enddo
      do im=1,12
         month=month_start+im-1
         if(month.gt.12) month=month-12
         write(fsmonth,"('0000',i2.2,'15.',a3)") month,
     &         var(1:lnblnk(var)) 
         open(32,file=fsmonth,form='formatted',status='unknown')
         do j=1,NY
         do i=1,NX
            write(32,*) fmm(i,j,im)/float(iyear)
         enddo
         enddo
         close(32)
      enddo
      return
      end
