      program restart21to22
!
!  Transform QTCM1V2.1 restart files to the
!  QTCM1V2.2 format. 
!
!  Changes:
!  - real*4 variables 
!  - The title string: character*80
!  
#include "../src/hgrid.h"
#include "../src/driver.h"
#include "../src/qtcm.h"
#include "../src/land.h"

      real*8 u1d(NX,NY),v1d(NX,0:NY),T1d(NX,NY),q1d(NX,NY),
     $     u0d(NX,NY),v0d(NX,0:NY),vort0d(NX,NY),psi0d(NX,0:NY),
     $     rhsvort0d(NX,NY,3),u0bard,rhsu0bard(3),
     $     Tsd(NX,NY),WDd(NX,NY)

      character*60 oldtitle
      character*21 fname
      integer dateofmodel
      fname='qtcm.restart'
      open(10,file=fname,form='unformatted')
      read(10)dateofmodel,oldtitle

      read(10)u1d,v1d,T1d,q1d                             !baroclinic mode
     1      ,u0d,v0d,vort0d,psi0d,rhsvort0d,u0bard,rhsu0bard   !barotropic mode
c    2      ,u2,v2                                      !ekman
     3      ,Tsd,WDd                                      !land
        close(10)
        do j=1,NY
           do i=1,NX
              u1(i,j)=u1d(i,j)
              T1(i,j)=T1d(i,j)
              q1(i,j)=q1d(i,j)
              u0(i,j)=u0d(i,j)
              vort0(i,j)=vort0d(i,j)
              Ts(i,j)=Tsd(i,j)
              WD(i,j)=WDd(i,j)
           enddo
        enddo
        do j=0,NY
           do i=1,NX
              v1(i,j)=v1d(i,j)
              v0(i,j)=v0d(i,j)
              psi0(i,j)=psi0d(i,j)
           enddo
        enddo
        do k=1,3
           do j=1,NY
              do i=1,NX
                 rhsvort0(i,j,k)=rhsvort0d(i,j,k)
              enddo
           enddo
        enddo
        u0bar=u0bard
        do k=1,3
           rhsu0bar(k)=rhsu0bard(k)
        enddo
      
      fname='qtcm1v2.2.restart'
      open(12,file=fname,form='unformatted')
      write(12)dateofmodel,title
      write(12)u1,v1,T1,q1
     1      ,u0,v0,vort0,psi0,rhsvort0,u0bar,rhsu0bar
c    2      ,u2,v2
     3      ,Ts,WD
      close(12)
      stop
      end
