#!/bin/csh -f
#test.sh   Zeng/Weibel   Jan 1997 
#  a 60day run to test machine compatibility etc.

# Set the QTCM root directory (e.g., where your files are untared)
set QTCMROOT = ..       # this is to assume you are in QTCMROOT/work right now

# Set the source directory which contains all the source files
set srcdir = $QTCMROOT/src

# Set the working directory to run the model
set workdir = $QTCMROOT/work     

#- Compile qtcm using make in srcdir, but run it in workdir
pushd $srcdir
make qtcm
popd

# copy qtcm to work directory
cp -fp ../src/qtcm qtcm

#
cat > driver.in << EOF
 &driverdata
 title='QTCM test run'      
 bnddir='$QTCMROOT/bnddata'   !bnd. data other than SST
 SSTdir='$QTCMROOT/bnddata/SST_Reynolds_oi'    !where SST files are
 outdir='$QTCMROOT/proc'      !where output go
 landon=0                     !=0: land is like ocean with faked SST
 SSTmode='seasonal'           !decide what kind of SST to use
 year0 = 1001                 !starting year; must be between 1001 and 9998
 month0 = 1                   !starting month; 1 to 12
 day0 = 1                     !1 t0 30; each month has fixed length of 30 days
 lastday =  60                !model runs from day 1 to lastday (1yr=360day)
 interval = 1                 !ocean-atmo. coupling interval; integer days
 noout=0                      !no output for the first noout days
 ntout=-30      !output mean every ntout days (-30: calendar monthly mean)
 ntouti=-30     !output inst. value every ntouti days (-30 every calendar month)
 mrestart=0                   !=1: restart using qtcm.restart
 dt=1200.           
 &end
EOF

#- Run qtcm using nice; timing the run; diagnostic output to log
/bin/time nice qtcm |& tee log 
